Subject: Re: bug#36030: Changing the region or the point changes the way characters are displayed

From: Clément Pit-Claudel <[email-masked]>
Date: Fri, 31 May 2019 13:06:32 -0400

On 2019-05-31 11:36, Eli Zaretskii wrote:
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Fri, 31 May 2019 11:21:51 -0400
>>
>> * emacs -Q
>> * C-h h
>> * M-g c 767 (or go to the beginning of 'Здравствуйте')
>> * C-SPC C-f C-f C-f C-f C-f C-f C-f
>>
>> As I press C-f to extend the region, the display of the strings on the 'Arabic (العربيّة)' line changes.
>> I see this problem fairly commonly when looking at non-ASCII text in Emacs; sometimes just moving the point around is enough.
> 
> This is a duplicate of bug#35811, AFAIU.

Agh, sorry for the noise.  I should note, though, that the problem isn't specific to Arabic: I see it with many other scripts.